<?php 
$_title = "DPVZ - Thanh Toán";
include_once 'head.php';
if($_login == null) {header("location:/login");}
$read_sql = _fetch(_select("*",'player',"username='$_username'"));
//$read_sql['ninja']
$replace1 = str_replace('"', '', $read_sql['ninja']);
$replace2 = str_replace('[', '', $replace1);
$replace = str_replace(']', '', $replace2);
//
$_alert = null;
if(isset($_POST['playername']))
{
	$playername = htmlspecialchars($_POST['playername']);
	$amount1 = htmlspecialchars($_POST['amount']);
	if($amount1 == 10000)
	{
		$amount2 = 100000;
	}
	if($amount1 == 50000)
	{
		$amount2 = 500000;
	}
	if($amount1 == 100000)
	{
		$amount2 = 1500000;
	}
	if($amount1 == 200000)
	{
		$amount2 = 2500000;
	}
	if($amount1 == 500000)
	{
		$amount2 = 7000000;
	}
	$arr = explode(',',$replace);
		if(in_array($playername, $arr))
		{
			echo _console("có");
			if($_coin >= $amount1 )
			{
				$txt = _update('player',"coin=`coin`-$amount1","username='$_username'");
				$txt1 = _update('player',"luong=`luong`+$amount2","username='$_username'");
				$query = _query($txt);
				$query1 = _query($txt1);
				echo '
				<script type="text/javascript">
				
				$(document).ready(function(){
				
				  swal({
						title: "Thành công",
						text: "Đổi lượng thành công!",
						type: "success",
						confirmButtonText: "OK",
				  })
				});
				
				</script>
				';
			}
			else
			{
				echo '
				<script type="text/javascript">
				
				$(document).ready(function(){
				
				  swal({
						title: "Thất bại",
						text: "Số dư của bạn không đủ!",
						type: "error",
						confirmButtonText: "OK",
				  })
				});
				
				</script>
				';
			}
		}
		else
		{
			echo '
			<script type="text/javascript">
			
			$(document).ready(function(){
			
			  swal({
					title: "Thất bại",
					text: "Không tìm thấy nhân vật này!",
					type: "error",
					confirmButtonText: "OK",
			  })
			});
			
			</script>
			';
		}
}
?>

<main class="flex-grow-1 flex-shrink-1">
</br>
	<div class="container">
	<?php
   if($_login != null) {
      if($_status == "wait") {
   echo '<div class="alert alert-info">Để có thể đăng nhập vào game, bạn cần phải <a href="/active">kích hoạt tài khoản</a> (Phí: 10,000 DCoin = 10,000 VND).</div>';
   }
   elseif($_status == "block") {
   echo '<div class="alert alert-info">Tài khoản đang bị khóa, để mở lại bạn cần phải <a href="/active">mở khóa tài khoản</a> (Phí: 10,000 DCoin = 10,000 VND).</div>';
   }
   }
   ?>
		<div class="card mb-3">
			<?php 
			echo $_alert;
			$user_arr_1 = _fetch("SELECT * FROM player Where username='$_user'");
			 ?>
			<div class="card-header">Bạn đang có: <b style="color:#DC3545;"><?php echo number_format($_coin);; ?> DCoin</b></div>
			<div class="card-body">
				<form method="post">
					<div class="form-group">
						<label class="font-weight-bolder" for="playername">Nhân vật</label>
						<select class="form-control " name="playername" id="playername" required>
							<?php
							if(strlen($replace) ==0)
							{
								echo '<option value="">Chưa tạo nhân vật</option>';
							}
							else {
								$arr = explode(',',$replace);
								for($i=0;$i<count($arr);$i++)
								{
									echo '<option value="'.$arr[$i].'">'.$arr[$i].'</option>';
								}
							}
							?>
						</select>
					</div>
					<div class="form-group">
						<label class="font-weight-bolder" for="amount">DCoin cần đổi</label>
						<select class="form-control " name="amount" id="amount" required>
						<option value="10000">10,000 DCoin - Nhận 100,000 lượng</option>
							<option value="50000">50,000 DCoin - Nhận 500,000 lượng</option>
							<option value="100000">100,000 DCoin - Nhận 1,500,000 lượng</option>
							<option value="200000">200,000 DCoin - Nhận 2,500,000 lượng</option>
							<option value="500000">500,000 DCoin - Nhận 7,000,000 lượng</option>
						</select>
					</div>
					<div>
						<button type="submit" class="btn btn-info btn-block-primary">Đổi DCoin</button>
					</div>
				</form>
			</div>
		</div>
		<div class="card mb-3">
			<div class="card-header">Bảng giá quy đổi</div>
			<div class="table-responsive">
				<table class="table table-bordered table-nowrap">
					<thead>
						<tr>
							<th>DCoin</th>
							<th>Lượng nhận</th>
						</tr>
					</thead>
					<tbody>
					<tr>
							<td>10,000</td>
							<td>100,000</td>
						</tr>
						<tr>
							<td>50,000</td>
							<td>500,000</td>
						</tr>
						<tr>
							<td>100,000</td>
							<td>1,500,000</td>
						</tr>
						<tr>
							<td>200,000</td>
							<td>2,500,000</td>
						</tr>
						<tr>
							<td>500,000</td>
							<td>7,000,000</td>
							<tr>
					</tbody>
				</table>
			</div>
		</div>
		<?php
include_once 'end.php';
?>
	</div>
</main>